complexType "PhysicalSettlement"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | resultingTradeIdentifier | resultingTrade | product
</...>

Content Model Elements (3):

  product, resultingTrade, resultingTradeIdentifier

All Direct / Indirect Based Elements (1):

  physicalSettlement (in optionExercise)

Known Usage Locations

- As direct type of elements (1):
  physicalSettlement (in optionExercise)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PhysicalSettlement"> <xsd:choice> <xsd:element name="resultingTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="resultingTrade" type="Trade"/> <xsd:element ref="product"/> <!-- the economics of the trade resulted from the physical settlement --> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
product

  Type: | Product, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 29 elements

  XML Source (see within schema source)

  <xsd:element ref="product"/>

resultingTrade

  Type: | Trade, complex content

  The trade that resulted from the physical settlement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resultingTrade" type="Trade"/>

resultingTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  The ID of the trade that resulted from the physical settlement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resultingTradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.